Page MenuHomePhabricator

[[MediaWiki:Apihelp-abusefiltercheckmatch-summary/es]] i18n issue
Closed, ResolvedPublic

Description

I don't understand this message. An example on where/when it is used would be helpful to have some context that allows me to translate it properly. Thanks.

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 5 2017, 4:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Sort of, thanks :)

I can translate until editor logged AbuseFilter event. -- that does not make sense to me.

Reedy added a subscriber: Anomie.Aug 6 2017, 11:29 AM

apihelp-abusefiltercheckmatch-description has some of the similar text at the start.

It was split into apihelp-abusefiltercheckmatch-summary and apihelp-abusefiltercheckmatch-extended-description

https://github.com/wikimedia/mediawiki-extensions-AbuseFilter/commit/51e5a28f244f6e1b9779cb1e944084fe64cb1a8a added those messages originally

I think there's an or missing from that sentence at least...

CC'ing @Anomie as the one that added/changed the description a bit when i18n-ifying them :)

Anomie added a comment.Aug 7 2017, 2:03 PM

https://github.com/wikimedia/mediawiki-extensions-AbuseFilter/commit/51e5a28f244f6e1b9779cb1e944084fe64cb1a8a added those messages originally
I think there's an or missing from that sentence at least...

Looking at that commit, specifically the implementation in getDescription(), it looks like r95572 left out the space which turned "edit or" into "editor". The breaking of the line in the source code makes the missing space unobvious there.[1]

The English message should probably be "Check to see if an AbuseFilter matches a set of variables, edit or logged AbuseFilter event." Or, with an Oxford comma, "Check to see if an AbuseFilter matches a set of variables, edit, or logged AbuseFilter event."

[1]: Although 51e5a28f was done by calling the getDescription() method from eval.php or the like, IIRC, rather than looking at the source at all.

Change 428887 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Fix typo in i18n message

https://gerrit.wikimedia.org/r/428887

Daimona claimed this task.Apr 25 2018, 8:52 AM

Change 428887 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Fix typo in i18n message

https://gerrit.wikimedia.org/r/428887

Huji closed this task as Resolved.Apr 26 2018, 1:54 AM
Huji removed a project: Patch-For-Review.